Quassel IRC - Feature #944

Highlight when nickname speaks
04/01/2010 05:13 AM - zerd

Status: Resolved Start date: 04/01/2010
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.13.0

0S: Any

Description

| think it should be possible to make a highlight trigger when a nickname who matches a rule speaks. It would make it easier to track
interesting people in a channel with a low signal/noise ratio. It would also be nice if there was a separate 'notification’ rule for this king
of match.

Related issues:
Related to Quassel IRC - Feature #990: Highlight all messages from one nick/id Closed 06/15/2010

History

#1 - 04/01/2014 02:37 AM - yacare

| was asking on FreeNode, and it seems that many of us are waiting to have this feature.
It must be simple to code, just allow some highlight rule that enable us to highlight whatever certain nickname says (like nick:SomeNickname)...

It's a nice feature to have, and it should not cost much codding.
Thanks.

#2 - 05/21/2014 02:53 AM - gry

Similarly on any other part of the nickluser@host mask.
It is occasionally useful to get highlighted when someone from a certain host or with a certain username speaks.

#3 - 09/14/2018 02:46 AM - genius3000
- Status changed from New to Resolved
- Target version set to 0.13.0

- % Done changed from 0 to 100

This can be done as of 0.13 (as of this comment, -rc1 is out) with remote highlights.
You can set a blank highlight rule or a regex rule of ".*" with a specific sender to highlight all text from them.
